libsigc++ 2.99.6

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
sigc::pointer_functor< T_return(T_args...)> Class Template Reference

`#include <sigc++/functors/ptr_fun.h>`

## Public Member Functions
| pointer_functor ()=default
| Constructs an invalid functor. More...
| pointer_functor (function_type func)
| Constructs a pointer_functor2 object that wraps an existing function. More...
T_return | operator() (type_trait_take_t< T_args >...a) const
| Execute the wrapped function. More...

## Protected Attributes
function_type | func_ptr_

## Constructor & Destructor Documentation

template <typename T_return , typename... T_args>

sigc::pointer_functor< T_return(T_args...)>::pointer_functor | ( |  | ) |
| default

Constructs an invalid functor.

template <typename T_return , typename... T_args>

sigc::pointer_functor< T_return(T_args...)>::pointer_functor | ( | function_type | func | ) |
| inline explicit

Constructs a pointer_functor2 object that wraps an existing function.

Parameters

  func | Pointer to function that will be invoked from operator()().

## Member Function Documentation

template <typename T_return , typename... T_args>

T_return sigc::pointer_functor< T_return(T_args...)>::operator() | ( | type_trait_take_t< T_args >... | a | ) | const
| inline

Execute the wrapped function.

Parameters

  a | Arguments to be passed on to the function.

Returns
  The return value of the function invocation.

## Member Data Documentation

template <typename T_return , typename... T_args>

function_type sigc::pointer_functor< T_return(T_args...)>::func_ptr_
| protected